package cn.reghao.oss.storeapi.iface;

import cn.reghao.oss.storeapi.dto.media.*;
import cn.reghao.oss.storeapi.dto.media.AudioInfo;
import cn.reghao.oss.storeapi.dto.media.ConvertedImageInfo;
import cn.reghao.oss.storeapi.dto.media.ImageInfo;
import cn.reghao.oss.storeapi.dto.media.VideoInfo;

import java.util.List;

/**
 * @author reghao
 * @date 2024-03-07 09:51:23
 */
public interface MediaService {
    VideoInfo getVideoInfo(String videoFileId);
    List<ImageInfo> getImagesInfo(List<String> imageFileIds);
    List<ConvertedImageInfo> getWebpInfo(int loginUser, List<String> imageFileIds);
    AudioInfo getAudioInfo(String audioFileId);
}
